git-annex/ git-annex-webapp

# NAME

git-annex webapp - launch webapp

# SYNOPSIS

git annex webapp

# DESCRIPTION

Opens a web app, that allows easy setup of a git-annex repository, and control of the git-annex assistant. If the assistant is not already running, it will be started. This will cause new files to be added and syncing operations to be performed.

By default, the webapp can only be accessed from localhost, and running it opens a browser window.

# OPTIONS

- `--listen=address`

  Useful for using the webapp on a remote computer. This makes the webapp listen on the specified IP address. (Or on the address that a specified hostname resolves to.)

  This disables running a local web browser, and outputs the url you can use to open the webapp.

  Set annex.listen in the git config to make the webapp always listen on an IP address.

- `--port=number`

  Use this option to specify a port for the webapp. By default, the webapp picks an unused port.

- Also the git-annex-common-options(1) can be used.

# USING HTTPS

When using the webapp on a remote computer, you'll almost certainly want to enable HTTPS. The webapp will use HTTPS if it finds a .git/annex/privkey.pem and .git/annex/certificate.pem. Here's one way to generate those files, using a self-signed certificate:

    openssl genrsa -out .git/annex/privkey.pem 4096
    openssl req -new -x509 -key .git/annex/privkey.pem > .git/annex/certificate.pem

# SEE ALSO

git-annex(1)

git-annex-assistant(1)

# AUTHOR

Joey Hess id@joeyh.name

Warning: Automatically converted into a man page by mdwn2man. Edit with care.

Thanks Yann!
Thank you nobodyinperson! Your note looks perfect. Oh, wow; I didn’t know that I could edit this page. Thanks again!
Comment by NewUser — Wed Oct 29 14:05:27 2025
comment 4
I added a note to make it more clear that the webapp will sync stuff via the assistant.
Comment by nobodyinperson — Wed Oct 29 14:05:27 2025
comment 3
Welcome on board. `git annex webapp` launches the assistant. It might even do `git annex assistant --autostart` and launch the assistant in all configured repos. That is indeed an important info to know. Everyone can edit these pages (the Edit button above) btw.
Comment by nobodyinperson — Wed Oct 29 14:05:27 2025
launching `git annex webapp` starts adding to the annex which is surprising
Since I panicked upon seeing a message about adding files to the annex, I promptly killed the webapp. I might just be misunderstanding what's going on. Thanks!
Comment by NewUser — Wed Oct 29 14:05:27 2025
launching `git annex webapp` starts adding to the annex which is surprising

I have gotten as far as running `git init` and `git annex init` on my server. There’s a bunch of stuff there and I figure I’ll just add the things that I care about as I go.

I read the page on the webapp and it just says that it “allows easy setup of a git-annex repository, and control of the git-annex assistant”. I started the webapp on my server and I was alarmed to see a message in the webapp that it was adding things to git annex. Over on the page for the git annex assistant it says “By default, all new files in the directory will be added to the repository” which is definitely not what I expected. I’m a new user trying to learn how to use git annex and this was an unpleasant surprise. Can we amend the docs for the webapp to warn about this behavior?

Comment by NewUser — Wed Oct 29 14:05:27 2025
Comments on this page are closed.